Bug 146815 - Update port: devel/directfb update to 1.4.3
Summary: Update port: devel/directfb update to 1.4.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-22 03:40 UTC by Anatoly Borodin
Modified: 2010-06-03 09:10 UTC (History)
0 users

See Also:


Attachments
file.txt (39.63 KB, text/plain)
2010-05-22 03:40 UTC, Anatoly Borodin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anatoly Borodin 2010-05-22 03:40:01 UTC
devel/directfb is being updated from 1.1.1 to 1.4.3.

Related PRs:

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/144765
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146419

Dependent ports:

* games/freesci
* www/links

Dependencies updated, portrevisions bumped.

Other ports:

* graphics/cairo
* graphics/libggi

--disable-directfb added explicitly.

These PRs require additional discussion:

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146421
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146422

amd64 compatibility patch from ports/144765 should be reconsidered.

Fix: Patch attached with submission follows:
Comment 1 Anatoly Borodin 2010-05-22 04:01:51 UTC
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146417 have been used too.
Comment 2 swell.k 2010-05-22 06:33:28 UTC
- lang/perl5.10 is used only during build by

    tools/gendoc.pl
    tools/mknames.sh

- docs should probably be installed, too

--- a.diff begins here ---
diff --git devel/directfb/Makefile devel/directfb/Makefile
index 73e0395..a351d07 100644
--- devel/directfb/Makefile
+++ devel/directfb/Makefile
@@ -29,7 +29,7 @@ GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 USE_GNOME=	gnomehack
 USE_LDCONFIG=	yes
-USE_PERL5=	yes
+USE_PERL5_BUILD=yes
 
 DIRECTFB_SHLIB=	3 # LT_CURRENT
 DIRECTFB_BIN=	0 # LT_BINARY
@@ -50,6 +50,13 @@ CONFIGURE_ARGS=	--disable-osx --disable-extra-warnings --disable-profiling \
 
 .include <bsd.port.options.mk>
 
+.if !defined(NOPORTDOCS)
+BUILD_DEPENDS+=	man2html:${PORTSDIR}/textproc/man2html
+PORTDOCS=	*
+DOCS=		AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+		docs/README* docs/*.html docs/html/*.html docs/html/*.png
+.endif
+
 .if defined(WITH_FREETYPE2)
 LIB_DEPENDS+=	freetype.9:${PORTSDIR}/print/freetype2
 CONFIGURE_ARGS+=	--enable-freetype
@@ -110,4 +117,17 @@ post-patch:
 	@${GREP} -lr alloca\.h ${WRKSRC} | ${XARGS} \
 		${REINPLACE_CMD} -e 's|<alloca\.h>|<stdlib.h>|g'
 
+.if !defined(NOPORTDOCS)
+post-install:
+	${MKDIR} ${DOCSDIR}/html
+	cd ${WRKSRC} && \
+	for f in ${DOCS}; do \
+		if [ $${f##*/html/*} ]; then \
+			${INSTALL_DATA} $$f ${DOCSDIR}; \
+		else \
+			${INSTALL_DATA} $$f ${DOCSDIR}/html; \
+		fi; \
+	done
+.endif
+
 .include <bsd.port.post.mk>
--- a.diff ends here ---
Comment 3 Anatoly Borodin 2010-05-22 13:54:47 UTC
I approve this patch from <swell.k@gmail.com>, thank you!
Comment 4 Pav Lucistnik freebsd_committer 2010-06-02 15:32:23 UTC
State Changed
From-To: open->feedback

Does not compile on my 7.x box: 

/bin/sh /usr/local/bin/libtool --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../.. -I../../include -I../../lib -I../../include -I../../lib -DDATADIR="/usr/local/share/directfb-1.4.3" -DMODULEDIR="/usr/local/lib/directfb-1.4-0" -D_REENTRANT -pthread  -I/usr/local/include  -O3 -ffast-math -pipe -O2 -fno-strict-aliasing -pipe -D_GNU_SOURCE  -Werror-implicit-function-declaration -MT manager.lo -MD -MP -MF .deps/manager.Tpo -c -o manager.lo manager.c 
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../.. -I../../include -I../../lib -I../../include -I../../lib -DDATADIR="/usr/local/share/directfb-1.4.3" -DMODULEDIR="/usr/local/lib/directfb-1.4-0" -D_REENTRANT -pthread -I/usr/local/include -O3 -ffast-math -pipe -O2 -fno-strict-aliasing -pipe -D_GNU_SOURCE -Werror-implicit-function-declaration -MT manager.lo -MD -MP -MF .deps/manager.Tpo -c manager.c  -fPIC -DPIC -o .libs/manager.o 
In file included from manager.c:44: 
/usr/include/netinet/ip.h:162: error: expected specifier-qualifier-list before 'n_long' 



Comment 5 Pav Lucistnik freebsd_committer 2010-06-02 15:32:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Does not compile on my 7.x box: 

/bin/sh /usr/local/bin/libtool --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I../.. -I../../include -I../../lib -I../../include -I../../lib -DDATADIR="/usr/local/share/directfb-1.4.3" -DMODULEDIR="/usr/local/lib/directfb-1.4-0" -D_REENTRANT -pthread  -I/usr/local/include  -O3 -ffast-math -pipe -O2 -fno-strict-aliasing -pipe -D_GNU_SOURCE  -Werror-implicit-function-declaration -MT manager.lo -MD -MP -MF .deps/manager.Tpo -c -o manager.lo manager.c 
libtool: compile:  cc -DHAVE_CONFIG_H -I. -I../.. -I../../include -I../../lib -I../../include -I../../lib -DDATADIR="/usr/local/share/directfb-1.4.3" -DMODULEDIR="/usr/local/lib/directfb-1.4-0" -D_REENTRANT -pthread -I/usr/local/include -O3 -ffast-math -pipe -O2 -fno-strict-aliasing -pipe -D_GNU_SOURCE -Werror-implicit-function-declaration -MT manager.lo -MD -MP -MF .deps/manager.Tpo -c manager.c  -fPIC -DPIC -o .libs/manager.o 
In file included from manager.c:44: 
/usr/include/netinet/ip.h:162: error: expected specifier-qualifier-list before 'n_long'
Comment 6 Mark Linimon 2010-06-03 02:15:45 UTC
----- Forwarded message from Anatoly Borodin <anatoly.borodin@gmail.com> -----

To: pav@freebsd.org
Cc: freebsd-ports-bugs@freebsd.org
Subject: Re: ports/146815: Update port: devel/directfb update to 1.4.3

pav, please try the attached patch.

--- devel/directfb/files/patch-lib-voodoo-manager.c
+++ devel/directfb/files/patch-lib-voodoo-manager.c
@@ -1,6 +1,14 @@
 --- lib/voodoo/manager.c
 +++ lib/voodoo/manager.c
-@@ -186,10 +186,10 @@ voodoo_manager_create( int             fd,
+@@ -40,6 +40,7 @@
+ #include <sys/socket.h>
+ #include <sys/time.h>
+ 
++#include <netinet/in_systm.h> /* for n_long, required for build on 7.x */
+ #include <netinet/in.h>
+ #include <netinet/ip.h>
+ #include <netinet/tcp.h>
+@@ -186,10 +187,10 @@ voodoo_manager_create( int             fd,
  
       D_DEBUG( "Voodoo/Manager: Creating manager at %p.\n", manager );
  
----- End forwarded message -----
Comment 7 Pav Lucistnik freebsd_committer 2010-06-03 08:59:24 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 8 dfilter service freebsd_committer 2010-06-03 09:01:00 UTC
pav         2010-06-03 08:00:30 UTC

  FreeBSD ports repository

  Modified files:
    devel/directfb       Makefile distinfo pkg-plist 
    devel/directfb/files patch-lib-direct-conf.c 
                         patch-lib-direct-log.c 
                         patch-lib-voodoo-manager.c 
                         patch-src-misc-conf.h 
  Added files:
    devel/directfb/files patch-gfxdrivers-davinci-davinci_c64x.c 
                         patch-lib-direct-interface.c 
                         patch-lib-direct-trace.c 
                         patch-lib-fusion-call.c 
                         patch-lib-fusion-lock.c 
                         patch-lib-fusion-shm-shm.c 
                         patch-lib-fusion-shmalloc.c 
                         patch-lib-voodoo-client.c 
                         patch-src-gfx-generic-generic.c 
                         patch-tests-dfbtest_window.c 
                         patch-tools-dfbdump.c 
                         patch-tools-dfbmaster.c 
                         patch-tools-fusion_bench.c 
  Removed files:
    devel/directfb/files patch-src-display-idirectfbsurface.c 
  Log:
  - Update to 1.4.3
  
  PR:             ports/146815
  Submitted by:   Anatoly Borodin <anatoly.borodin@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.38      +68 -18    ports/devel/directfb/Makefile
  1.5       +3 -3      ports/devel/directfb/distinfo
  1.1       +11 -0     ports/devel/directfb/files/patch-gfxdrivers-davinci-davinci_c64x.c (new)
  1.2       +5 -6      ports/devel/directfb/files/patch-lib-direct-conf.c
  1.1       +14 -0     ports/devel/directfb/files/patch-lib-direct-interface.c (new)
  1.2       +15 -17    ports/devel/directfb/files/patch-lib-direct-log.c
  1.1       +20 -0     ports/devel/directfb/files/patch-lib-direct-trace.c (new)
  1.1       +10 -0     ports/devel/directfb/files/patch-lib-fusion-call.c (new)
  1.1       +11 -0     ports/devel/directfb/files/patch-lib-fusion-lock.c (new)
  1.1       +11 -0     ports/devel/directfb/files/patch-lib-fusion-shm-shm.c (new)
  1.1       +11 -0     ports/devel/directfb/files/patch-lib-fusion-shmalloc.c (new)
  1.1       +15 -0     ports/devel/directfb/files/patch-lib-voodoo-client.c (new)
  1.2       +16 -4     ports/devel/directfb/files/patch-lib-voodoo-manager.c
  1.3       +0 -10     ports/devel/directfb/files/patch-src-display-idirectfbsurface.c (dead)
  1.3       +11 -0     ports/devel/directfb/files/patch-src-gfx-generic-generic.c (new)
  1.2       +6 -7      ports/devel/directfb/files/patch-src-misc-conf.h
  1.1       +10 -0     ports/devel/directfb/files/patch-tests-dfbtest_window.c (new)
  1.1       +11 -0     ports/devel/directfb/files/patch-tools-dfbdump.c (new)
  1.1       +10 -0     ports/devel/directfb/files/patch-tools-dfbmaster.c (new)
  1.1       +26 -0     ports/devel/directfb/files/patch-tools-fusion_bench.c (new)
  1.8       +187 -60   ports/devel/directfb/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"